Update a dashboard's metadata.
PUT
/dashboard/{dashboard_id}
const url = 'https://api.siteqwality.com/dashboard/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","global_time_range":"example","auto_refresh_seconds":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/dashboard/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "global_time_range": "example", "auto_refresh_seconds": 1 }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” dashboard_id
required
string format: uuid
Dashboard identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string | null
description
string | null
global_time_range
auto_refresh_seconds
integer | null format: int32
Example generated
{ "name": "example", "description": "example", "global_time_range": "example", "auto_refresh_seconds": 1}Responses
Section titled “ Responses ”Dashboard updated
Media type application/json
object
id
required
string format: uuid
account_id
required
string format: uuid
name
required
string
description
string | null
global_time_range
required
auto_refresh_seconds
integer | null format: int32
created_by
required
string format: uuid
created_at
required
string format: date-time
updated_at
required
string format: date-time
widgets
array | null
object
id
required
string format: uuid
dashboard_id
required
string format: uuid
title
required
string
widget_type
required
string
data_source
required
string
query_config
required
visualization_config
required
layout
required
time_range_override
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "widgets": [ { "widget_type": "timeseries", "data_source": "metrics" } ]}Missing or invalid authentication
Dashboard not found
Internal server error